File boomaga.changes of Package boomaga

-------------------------------------------------------------------
Thu Apr 26 21:07:15 UTC 2018 - lazy.kent@opensuse.org

- Update to 1.3.0.
  * Added support for RightToLeft page layouts.
  * Some GUI improvements.
  * Updated translations.

-------------------------------------------------------------------
Thu Apr  5 13:28:14 UTC 2018 - lazy.kent@opensuse.org

- Update to 1.2.0.
  * Fix: The program shows empty page if page contents is a link to
    the array.
  * Fix In some cases, the program chose an incorrect value of the
    DISPLAY variable.
  * Fix: More accurate handling of comments in the file.
  * Updated translations.

-------------------------------------------------------------------
Fri Jan  5 10:06:39 UTC 2018 - lazy.kent@opensuse.org

- Update to 1.1.0.
  * Fix: Sometimes the backend has incorrectly defined environment
    variables.
  * Fix in cmake: Allow to use system build flags.
  * Fix: Install correct values in boomaga.ppd.
  * Updated translations.

-------------------------------------------------------------------
Mon Dec 11 17:17:57 UTC 2017 - lazy.kent@opensuse.org

- Update to 1.0.0.
  * Previously, the program used private methods from poppler.
    This caused a lot of problems. Now the program uses its own parser,
    written from scratch.
  * Add “Flip on long edge” and “Flip on short edge” options in
    the printer preferences dialog.
  * Improved display and print for some not quite correct PDF files.
  * Fix: typos.
  * Updated translations.

-------------------------------------------------------------------
Fri Jul 14 18:52:51 UTC 2017 - lazy.kent@opensuse.org

- Build against Qt5 for SLE 12.

-------------------------------------------------------------------
Mon Jul 10 11:52:10 UTC 2017 - lazy.kent@opensuse.org

- Update to 0.9.1.
  * Fix: When building with Qt5, the program creates incorrect
    directory for temporary files.
  * Fix: typos.
  * Updated translations.
- Build against Qt5 for Factory.

-------------------------------------------------------------------
Tue Apr  4 10:20:18 UTC 2017 - lazy.kent@opensuse.org

- Update to 0.9.0.
  * Add grayscale printing option.
  * Add an option to print the multiple copies collated.
  * All functions of the program are now available via the main menu.
  * The program can automatically save your session.
  * Program allow to set negative margins on page.
  * Show current page number on the status bar.
  * Fixed Export to PDF function.
  * Updated translations.
  * Some GUI improvements.
  * Many small fixes.

-------------------------------------------------------------------
Mon Feb  6 13:40:50 UTC 2017 - jengelh@inai.de

- Trim filler words from description

-------------------------------------------------------------------
Sun Oct  9 19:09:58 UTC 2016 - lazy.kent@opensuse.org

- Update to 0.8.0.
  * You can see previews of all sub-booklets, and quickly switch of
    them.
  * Scrolling speed now depends on the mouse wheel speed.
  * Some GUI improvements.
  * Add shortcuts for prev. and next page view.
  * Fix: Sometimes the rendering of the page hides the frame.
  * Fix: Sometimes the program can not find a helper utility
    (boomagamerger).
  * Add ${LIB_SUFFIX} for installation at x86_64.
  * The CUPS backend was rewritten on C++. This eliminated the some
    problems, for example escaping characters.
  * Asynchronous processing of DBUS messages.
  * Updated translations.
- Change RPM Croup to Productivity/Publishing/Other.

-------------------------------------------------------------------
Sat Jun 27 17:40:08 UTC 2015 - lazy.kent@opensuse.org

- Update to 0.7.1.
  * Clone job feature added.
  * Remove space before ellipsis.
  * Translations for "Clone job".
  * Support print count options of CUPS.
  * Print with options feature added.
  * Save geometry of PrinterDialog.
  * Added profiles for printer.
  * Save size of the PrinterSettingsDialog.
  * Crush when no printer found.
  * Escape quotes in job title passed to CUPS backend.
  * Fixed "Can't extract D-Bus bus address...".

-------------------------------------------------------------------
Fri Mar 20 12:02:59 CET 2015 - jsmeix@suse.de

- For SLE12 build it with traditional CUPS 1.5.4 to ensure
  it works on SLE12 both with CUPS 1.7.5 and CUPS 1.5.4.

-------------------------------------------------------------------
Sat Nov 29 10:03:56 UTC 2014 - lazy.kent@opensuse.org

- Update to 0.6.2.
  * Fix: Poppler broke API compatibility in 0.28.0.
- Drop boomaga-0.6.1-poppler_028.patch: fixed upstream.
- Correct the source URL.

-------------------------------------------------------------------
Sun Nov 23 11:16:32 UTC 2014 - lazy.kent@opensuse.org

- Add boomaga-0.6.1-poppler_028.patch: fix compilation with poppler
  0.28.

-------------------------------------------------------------------
Sat Oct 18 09:46:02 UTC 2014 - lazy.kent@opensuse.org

- Update to 0.6.1.
  * Fix: Sometimes the program did not show the contents of the
    pages.

-------------------------------------------------------------------
Sun Aug 31 15:58:51 UTC 2014 - lazy.kent@opensuse.org

- Update to 0.6.0.
  * You can save and then load your piece of work.
  * Added desktop file and MIME associations for saved project
    files.
  * Added dag-and-drop support.
  * Added two layouts for the vertical placement of pages.
  * Added support for landscape documents.
  * You can rotate the entire job, or page individually.
  * Fixed wrong icon drawing for some icons themes.
  * You can split long document on booklets, manual or
    automatically.
  * Updated translations.
  * Many fixes.
- Add BuildRequires: hicolor-icon-theme, update-desktop-files.
- Add Requires(pre): shared-mime-info.
- Use %suse_update_desktop_file macro. Add Category: Presentation.
- Use %icon_theme_cache_post/un and %mime_database_post/un macros.

-------------------------------------------------------------------
Fri Apr 11 21:49:50 UTC 2014 - lazy.kent@opensuse.org

- Add back BuildRequires: libpoppler-cpp0. That fixes build against
  openSUSE standard repositories.

-------------------------------------------------------------------
Fri Apr  4 12:57:32 UTC 2014 - lazy.kent@opensuse.org

- Update to 0.5.0.
  * Add ability to export to PDF.
  * Fill metadata title from the first job title.
  * Add German and Greek translations.

-------------------------------------------------------------------
Sat Mar 29 23:14:05 UTC 2014 - lazy.kent@opensuse.org

- Don't use _service file.
- Use %cmake macro.

-------------------------------------------------------------------
Fri Mar 14 16:19:57 UTC 2014 - lazy.kent@opensuse.org

- Remove BuildRequires: libpoppler-cpp0 (fixed bnc#864299).

-------------------------------------------------------------------
Sun Feb 23 08:45:52 UTC 2014 - lazy.kent@opensuse.org

- Update to 0.4.
  * No changelog provided.
- Add BuildRequires: pkgconfig(poppler-cpp); remove
  pkgconfig(poppler-qt4).

-------------------------------------------------------------------
Sun Dec 15 07:59:44 UTC 2013 - lazy.kent@opensuse.org

- Initial package created - 0.3.